Index: trunk/expressoMail1_2/setup/phpgw_en.lang
===================================================================
--- trunk/expressoMail1_2/setup/phpgw_en.lang	(revision 636)
+++ trunk/expressoMail1_2/setup/phpgw_en.lang	(revision 654)
@@ -14,5 +14,5 @@
 all	expressoMail1_2	en	all
 Also check message against next rule	expressoMail1_2	en	Also check message against next rule
-and save in     expressoMail1_2 en   and save in
+and save in	expressoMail1_2	en	and save in
 Answered	expressoMail1_2	en	Answered
 l_answered	expressoMail1_2	en	Answered
@@ -20,10 +20,10 @@
 A read confirmation was sent.	expressoMail1_2	en	A read notification was sent.
 At %1, %2 hours, %3 wrote:	expressoMail1_2	en	At %1, %2 hours, %3 wrote:
-Auto save draft expressoMail1_2 en   Auto save draft
+Auto save draft	expressoMail1_2	en	Auto save draft
 Back	expressoMail1_2	en	Back
 BCC	expressoMail1_2	en	BCC
 Big	expressoMail1_2	en	Big
 Bold	expressoMail1_2	en	Bold
-Border  expressoMail1_2 en   Border
+Border	expressoMail1_2	en	Border
 Block Sender	expressoMail1_2	en	Block Sender
 <b>Tip:</b> For faster save, click over the image with <u>right button</u>.	expressoMail1_2	en	<b>Tip:</b> For faster save, click over the image with <u>right button</u>.
@@ -82,5 +82,5 @@
 Enter a name for the box	expressoMail1_2	en	Enter a name for the box
 Enter the name of the new folder:	expressoMail1_2	en	Enter the name of the new folder:
-Enter with link URL:    expressoMail1_2 en   Enter the link URL:
+Enter with link URL:	expressoMail1_2	en	Enter with link URL:
 Delete folder	expressoMail1_2	en	Delete folder
 Erase the message	expressoMail1_2	en	Erase the message
@@ -124,5 +124,5 @@
 hlp_msg_read_acl	expressoMail1_2	en	hlp_msg_read_acl
 hlp_msg_sendlike_acl	expressoMail1_2	en	hlp_msg_sendlike_acl
-Image   expressoMail1_2 en   Image
+Image	expressoMail1_2	en	Image
 Imap Folders Properties	admin	en	Imap Folders Properties
 Important	expressoMail1_2	en	Important
@@ -130,5 +130,5 @@
 In all the folders	expressoMail1_2	en	In all folders
 Inbox	expressoMail1_2	en	Inbox
-Include expressoMail1_2 en   Include
+Include	expressoMail1_2	en	Include
 indent	expressoMail1_2	en	indent
 Inform a forwarding e-mail!	expressoMail1_2	en	Inform a forwarding e-mail!
@@ -141,7 +141,7 @@
 Inform your search in the text fields	expressoMail1_2	en	Inform your search in the text fields
 insertorderedlist	expressoMail1_2	en	Insert ordered list
-Insert Table    expressoMail1_2 en   Insert table
+Insert Table	expressoMail1_2	en	Insert table
 Insert signature	expressoMail1_2	en	Insert signature
-Insert signature automatically in new messages? expressoMail1_2 en   Insert signature automatically in new messages?
+Insert signature automatically in new messages?	expressoMail1_2	en	Insert signature automatically in new messages?
 insertunorderedlist	expressoMail1_2	en	Insert unordered list
 in this message	expressoMail1_2	en	in this message
@@ -241,9 +241,9 @@
 Result of the search	expressoMail1_2	en	Result of the search
 Return receipt	expressoMail1_2	en	Return receipt
-Rich Text       expressoMail1_2 en   Rich Text
+Rich Text	expressoMail1_2	en	Rich Text
 Rule	expressoMail1_2	en	Rule
 Save as Draft	expressoMail1_2	en	Save as Draft
 Save deleted messages in trash folder?	expressoMail1_2	en	Save deleted messages in trash folder?
-Save sent messages in folder    expressoMail1_2 en   Save sent messages in folder
+Save sent messages in folder	expressoMail1_2	en	Save sent messages in folder
 Save Draft	expressoMail1_2	en	Save Draft
 Save	expressoMail1_2	en	Save
@@ -268,6 +268,6 @@
 Select an organization and click on button <b>Search</b>	expressoMail1_2	en	Select an organization and click on button <b>Search</b>
 Select on send	expressoMail1_2	en	Select on send
-Select the desired image file   expressoMail1_2 en   Select the desired image file
-Select the table size   expressoMail1_2 en   Select the table size
+Select the desired image file	expressoMail1_2	en	Select the desired image file
+Select the table size	expressoMail1_2	en	Select the table size
 Select the type of contact that you want to view	expressoMail1_2	en	Select the type of contact that you want to view
 Select the user	expressoMail1_2	en	Select the user
@@ -289,8 +289,8 @@
 Show previous message, after delete actual message?	expressoMail1_2	en	Show previous message, after delete actual message?
 Signature	expressoMail1_2	en	Signature
-Signature Configuration expressoMail1_2 en   Signature Configuration
-Signature Type  expressoMail1_2 en   Signature Type
+Signature Configuration	expressoMail1_2	en	Signature Configuration
+Signature Type	expressoMail1_2	en	Signature Type
 Signed message	expressoMail1_2	en	Signed message
-Simple Text     expressoMail1_2 en   Simple Text
+Simple Text	expressoMail1_2	en	Simple Text
 Size	expressoMail1_2	en	Size
 Small	expressoMail1_2	en	Small
@@ -303,5 +303,5 @@
 Store at	expressoMail1_2	en	Store at
 Subject	expressoMail1_2	en	Subject
-Table   expressoMail1_2 en   Table
+Table	expressoMail1_2	en	Table
 The Anti Pop-Up is enabled. Allow this site (%1) for print.	expressoMail1_2	en	The Anti Pop-Up is enabled. Allow this site (%1) for print.
 The field \"%1\" of the message it contains	expressoMail1_2	en	The field \"%1\" of the message it contains
@@ -318,5 +318,5 @@
 The size of the message is	expressoMail1_2	en	The size of the message is
 The size of this message has exceeded  the limit (%1B).	expressoMail1_2	en	The size of this message has exceeded  the limit (%1B).
-This mail box is empty  expressoMail1_2 en   This mail box is empty.
+This mail box is empty	expressoMail1_2	en	This mail box is empty.
 This message is already opened!	expressoMail1_2	en	This message is already opened!
 This message is already selected!	expressoMail1_2	en	This message is already selected!
@@ -334,10 +334,10 @@
 Unseen	expressoMail1_2	en	Unseen
 l_unseen	expressoMail1_2	en	Unseen
-Upload file     expressoMail1_2 en   Upload file
+Upload file	expressoMail1_2	en	Upload file
 Use F9 Key as shortcut.	expressoMail1_2	en	Use F9 Key as shortcut.
 Use shortcuts?	expressoMail1_2	en	Use shortcuts?
 User connected	instant_messenger	en	User connected
 User didn't accepted you yet	instant_messenger	en	User didn't accepted you yet
-Use dynamic contacts?   expressoMail1_2 en   Use dynamic contacts?
+Use dynamic contacts?	expressoMail1_2	en	Use dynamic contacts?
 User not connected	instant_messenger	en	User not connected
 User not registered	instant_messenger	en	User not registered
@@ -374,4 +374,4 @@
 Page Not Found!	expressoMail1_2	en	Page Not Found!
 This list has no participants	expressoMail1_2	en	This list has no participants
-Rows    expressoMail1_2 en   Rows
-Cols    expressoMail1_2 en   Cols
+Rows	expressoMail1_2	en	Rows
+Cols	expressoMail1_2	en	Cols