Index: /trunk/calendar/inc/class.uicalendar.inc.php
===================================================================
--- /trunk/calendar/inc/class.uicalendar.inc.php	(revision 638)
+++ /trunk/calendar/inc/class.uicalendar.inc.php	(revision 663)
@@ -357,5 +357,5 @@
 
 		function printer_friendly($body,$app_header='')
-		{	
+		{
 			$_SESSION['calendar']['categories'] = $this->cat->formated_list('select','all',$this->bo->cat_id,'True');
 			if((!isset($GLOBALS['phpgw_info']['server']['deny_user_grants_access']) || !$GLOBALS['phpgw_info']['server']['deny_user_grants_access']) && count($this->bo->grants) > 0)
@@ -1035,8 +1035,11 @@
 					$event['recur_exception'] = array();
 				}
+				$plain = $_GET['plain'];
+
 				$this->edit_form(
 					Array(
 						'event' => $event,
-						'cd'	=> $cd
+						'cd'	=> $cd,
+						'plain' => $plain
 					)
 				);
@@ -1288,5 +1291,6 @@
 				Array(
 					'event' => $event,
-					'cd' => $cd
+					'cd' => $cd,
+					'plain' => $_GET['plain']
 				)
 			);
@@ -3246,5 +3250,6 @@
 				'action_text_button'	=> lang('Ignore Conflict'),
 				'action_confirm_button'	=> '',
-				'action_extra_field'	=> ''
+				'action_extra_field'	=> '',
+				'button_id'		=> 'ignore_button'
 			);
 			$this->output_template_array($p,'resubmit_button','form_button',$var);
@@ -3254,5 +3259,6 @@
 				'action_text_button'	=> lang('Re-Edit Event'),
 				'action_confirm_button'	=> '',
-				'action_extra_field'	=> ''
+				'action_extra_field'	=> '',
+				'button_id'		=> 'redit_button'
 			);
 			$this->output_template_array($p,'reedit_button','form_button',$var);
@@ -4347,5 +4353,11 @@
 			$GLOBALS['phpgw_info']['flags']['noappfooter'] = True;
 			$GLOBALS['phpgw_info']['flags']['app_header'] = $event['id'] ? lang('Editing event') : lang('Adding event');
-			$GLOBALS['phpgw']->common->phpgw_header();
+			if ($param['plain'] != "True"){
+				$GLOBALS['phpgw']->common->phpgw_header();
+			}
+			else{
+				$GLOBALS['phpgw_info']['theme']['row_on'] = "F8F8F8";
+				$GLOBALS['phpgw_info']['theme']['row_off'] = "F8F8F8";
+			}
 
 			$p = &$GLOBALS['phpgw']->template;
@@ -4874,5 +4886,6 @@
 					'action_text_button'	=> lang('Delete'),
 					'action_confirm_button'	=> "onClick=\"return confirm('".lang('Are you sure want to delete this entry?\\nThis will delete this entry for all users.')."')\"",
-					'action_extra_field'	=> ''
+					'action_extra_field'	=> '',
+					'button_id'	=>	'delete_button'
 				);
 				$p->set_var($var);
@@ -4888,5 +4901,6 @@
 					'action_text_button'	=> lang('Cancel'),
 					'action_confirm_button'	=> '',
-					'action_extra_field'	=> ''
+					'action_extra_field'	=> '',
+					'button_id'	=>	'cancel_button'
 				);
 				$p->set_var($var);
Index: /trunk/calendar/templates/default/form_button_script.tpl
===================================================================
--- /trunk/calendar/templates/default/form_button_script.tpl	(revision 2)
+++ /trunk/calendar/templates/default/form_button_script.tpl	(revision 663)
@@ -5,5 +5,5 @@
 <div style="padding-top:15px; padding-right: 2px">
 	{action_extra_field} 
-	<input style="font-size:10px" type="submit" value="{action_text_button}" {action_confirm_button}>
+	<input id="{button_id}" style="font-size:10px" type="submit" value="{action_text_button}" {action_confirm_button}>
 </div>
 </form>
Index: /trunk/calendar/templates/default/form_button_dropdown.tpl
===================================================================
--- /trunk/calendar/templates/default/form_button_dropdown.tpl	(revision 2)
+++ /trunk/calendar/templates/default/form_button_dropdown.tpl	(revision 663)
Index: /trunk/calendar/templates/celepar/edit.tpl
===================================================================
--- /trunk/calendar/templates/celepar/edit.tpl	(revision 602)
+++ /trunk/calendar/templates/celepar/edit.tpl	(revision 663)
@@ -21,8 +21,8 @@
 <form action="{action_url}" method="post" name="app_form">
 {common_hidden}
-<table border="0" width="90%">
+<table id="editFormTable" border="0" width="90%">
  <tr>
   <td colspan="2">
-   <center><font size="+1"><b>{errormsg}</b></font></center>
+   <center><font size="+1"><b id="formStatus">{errormsg}</b></font></center>
   </td>
  </tr>
@@ -36,5 +36,5 @@
 		var alert_field = '{alert_msg}';
 	</script>
-  	<input style="font-size:10px" type="submit" value="{submit_button}" onClick="return submitValues(alert_field);"></div></form>
+  	<input id="submit_button" style="font-size:10px" type="submit" value="{submit_button}" onClick="return submitValues(alert_field);"></div></form>
   </td>
   <td>{cancel_button}</td>