Index: /trunk/expressoCalendar/xsl/eventsMonth.xsl
===================================================================
--- /trunk/expressoCalendar/xsl/eventsMonth.xsl	(revision 666)
+++ /trunk/expressoCalendar/xsl/eventsMonth.xsl	(revision 666)
@@ -0,0 +1,19 @@
+<?xml version="1.0" encoding="ISO-8859-1"?>
+<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
+<xsl:template match="/retorno">
+<div id="returnEvents">
+	<xsl:for-each select="calevent">
+		<xsl:variable name="event_id" select="id" />
+		<xsl:variable name="datetime" select="datetime" />
+		<xsl:variable name="edatetime" select="edatetime" />
+		<xsl:if test="id > 0">
+			<div id="event_{$event_id}">
+				<div id="{$datetime}"></div>
+				<div id="{$edatetime}"></div>
+				<xsl:value-of select='title' />
+			</div>
+		</xsl:if>
+	</xsl:for-each>
+</div>
+</xsl:template>
+</xsl:stylesheet>
Index: /trunk/expressoCalendar/xsl/eventsWeek.xsl
===================================================================
--- /trunk/expressoCalendar/xsl/eventsWeek.xsl	(revision 666)
+++ /trunk/expressoCalendar/xsl/eventsWeek.xsl	(revision 666)
@@ -0,0 +1,21 @@
+<?xml version="1.0" encoding="ISO-8859-1"?>
+<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
+<xsl:template match="/retorno">
+<div id="returnEvents">
+	<xsl:for-each select="calevent">
+		<xsl:variable name="event_id" select="id" />
+		<xsl:variable name="datetime" select="datetime" />
+		<xsl:variable name="edatetime" select="edatetime" />
+		<xsl:if test="id > 0">
+			<div id="event_{$event_id}">
+				<div id="{$datetime}"></div>
+				<div id="{$edatetime}"></div>
+				<xsl:value-of select='title' />
+				<br/>
+				<xsl:value-of select='description' />
+			</div>
+		</xsl:if>
+	</xsl:for-each>
+</div>
+</xsl:template>
+</xsl:stylesheet>
Index: /trunk/expressoCalendar/xsl/eventsDay.xsl
===================================================================
--- /trunk/expressoCalendar/xsl/eventsDay.xsl	(revision 666)
+++ /trunk/expressoCalendar/xsl/eventsDay.xsl	(revision 666)
@@ -0,0 +1,21 @@
+<?xml version="1.0" encoding="ISO-8859-1"?>
+<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
+<xsl:template match="/retorno">
+<div id="returnEvents">
+<xsl:for-each select="calevent">
+	<xsl:variable name="event_id" select="id" />
+	<xsl:variable name="datetime" select="datetime" />
+	<xsl:variable name="edatetime" select="edatetime" />
+		<xsl:if test="id > 0">
+			<div id="event_{$event_id}">
+				<div id="{$datetime}"></div>
+				<div id="{$edatetime}"></div>
+				<xsl:value-of select='title' />
+				<br/>
+				<xsl:value-of select='description' />
+			</div>
+		</xsl:if>
+</xsl:for-each>
+</div>
+</xsl:template>
+</xsl:stylesheet>
Index: /trunk/expressoCalendar/xsl/windowDialog.xsl
===================================================================
--- /trunk/expressoCalendar/xsl/windowDialog.xsl	(revision 666)
+++ /trunk/expressoCalendar/xsl/windowDialog.xsl	(revision 666)
@@ -0,0 +1,35 @@
+<?xml version="1.0" encoding="ISO-8859-1"?>
+<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
+	<xsl:template match="/return">
+		<table style="position: absolute; width: 750px; heigth=100%" border="0" cellpadding="0" cellspacing="0"  onmousedown="_dragArea.pressed = 1" onmouseup="_dragArea.pressed = 0" onmousemove="_dragArea.moveWindow(event,this.parentNode)">
+			<tbody>
+				<tr style="height: 24px;">
+					<td background="templates/default/images/iw_nw.png">
+					</td>
+					<td background="templates/default/images/iw_lu.png">
+					</td>
+					<td background="templates/default/images/iw_ne.png">
+						<img id="closeDialog" onclick="calendar.dialog()" src="templates/default/images/close.gif" style="position: absolute; top: 20px; left: 720px; z-index: 184; cursor: pointer;"/>
+					</td>
+				</tr>
+				<tr>
+					<td style="width: 24px;" background="templates/default/images/iw_ll.png">
+					</td>
+					<td>
+						<div id="form_content" style="background: #FFF; height: 100%">
+						</div>
+					</td>
+					<td style="width: 24px;" background="templates/default/images/iw_lr.png"></td>
+				</tr>
+				<tr style="height: 24px;">
+					<td background="templates/default/images/iw_sw.png">
+					</td>
+					<td background="templates/default/images/iw_ld.png">
+					</td>
+					<td background="templates/default/images/iw_se.png">
+					</td>
+				</tr>
+			</tbody>
+		</table>
+</xsl:template>
+</xsl:stylesheet>